<? include('checkcookie.php'); 
echo "<h3>Просмотр конкурсов</h3>";

if(count($_POST) > 0){
$id = intval($_POST["id"]);
$kol_isp = mysql_num_rows(mysql_query("SELECT * FROM `b_compdata` WHERE `id`!='1' AND `id_user`!='540' AND `idk`='$id'"));
if($kol_isp > 0){
echo "<b style='color:#DD1313;'>Вы неможете удалить конкурс когда уже есть учасники</b>";exit();
}else{
mysql_query("DELETE FROM `b_comp` WHERE `id`='$id'");
mysql_query("DELETE FROM 'b_compdata' WHERE `idk`='$id'");
echo "<b style='color:#6EAD2B;'>Конкурс удален</b>";
}
}
?>

<table class="adn">
<tr class="lineb">
	<td>№</td>
	<td>Название</td>
	<td>Дата старта</td>
	<td>Дата окончания</td>
	<td>Минимум для участия</td>
	<td>Приз за 1-ое место</td>
	<td>Приз за 2-ое место</td>
	<td>Приз за 3-е место</td>
	<td>Статус конкурса</td>
	<td></td>
</tr>
<?
$vn = mysql_result(mysql_query("SELECT `valutaname` FROM `tb_site` WHERE `id`='1'"),0,0);

$res=mysql_query("SELECT * FROM `b_comp` ORDER BY `id` ASC");
while($row=mysql_fetch_array($res)){
	echo "<tr class='liney ell'><td align=center>".$row["id"]."</td>";
	echo "<td align=center>";
	switch($row["type"]){
	case 1: echo "Конкурс рефералов";break;
	case 2: echo "Конкурс рекламодателей";break;
	case 3: echo "Конкурс заданий";break;
	}
	echo "</td><td align=center>".date("d-m-Y",$row["startdate"])."</td><td align=center>".
	date("d-m-Y",$row["enddate"])."</td>";

	echo "<td align=center>".$row["minimal"]."</td><td align=center>".$row["price1"]." ";
	if($row["mesto1"]=='1') { echo $vn; }else{ echo "реферал(-а, -ов)"; }

	echo "</td><td align=center>".$row["price2"]." ";
	if($row["mesto2"]=='1') { echo $vn; }else{ echo "реферал(-а, -ов)"; }

	echo "</td><td align=center>".$row["price3"]." ";
	if($row["mesto3"]=='1') { echo $vn; }else{ echo "реферал(-а, -ов)"; }

	echo "</td><td align=center>";

	$t = time();
	$sd = $row["startdate"];
	$ed = $row["enddate"];
	
	if($t < $sd) $status="<b style='color:#EDD015;'>Еще не начинался</b>";
	if($t >= $sd && $t < $ed) $status="<b style='color:#6EAD2B;'>Активен</b>";
	if($t > $ed) $status="<b style='color:#ED1815;'>Завершен</b>";
	echo $status;	

	echo "</td><td align=center>";
?>
	<form action="" method="post">
	<input type="hidden" value="<?=$row["id"]?>" name="id">
	<input type=submit value="Удалить">
	</form>
	</td></tr>
<?
}
?>
</table>